#!/bin/bash


figlet RabbitMQ-Install
echo 


sudo apt update -y
sudo apt install curl wget gpg gnupg2 -y

wget https://packagecloud.io/rabbitmq/rabbitmq-server/gpgkey -O rabbitmq.gpgkey

cat rabbitmq.gpgkey|sudo gpg --dearmor -o /etc/apt/trusted.gpg.d/rabbitmq-keyring.gpg

echo "deb https://packagecloud.io/rabbitmq/rabbitmq-server/ubuntu/ focal main" | sudo tee /etc/apt/sources.list.d/rabbitmq-server.list

curl -s https://packagecloud.io/install/repositories/rabbitmq/rabbitmq-server/script.deb.sh | sudo bash


sudo apt update -y 

sudo apt install rabbitmq-server -y
echo 

systemctl enable rabbitmq-server.service
echo
systemctl start rabbitmq-server.service


sudo rabbitmq-plugins enable rabbitmq_management

echo "installing the rabbitmq is finished"
