#!/bin/bash



figlet Flutter-Installer

App=/snap/bin/flutter

if [ -f "$App" ]; then
    $App

else


echo

sudo apt update -y
echo
sudo apt install curl file git unzip xz-utils zip libglu1-mesa clang cmake ninja-build pkg-config libgtk-3-dev -y
echo
sudo snap install flutter --classic
sudo chown -R $USER:$USER /home/$USER/snap/flutter

echo 'export PATH=$PATH:$HOME"/Android/Sdk/platform-tools"' >> .bashrc 


sudo wget -q -O - https://dl.google.com/linux/linux_signing_key.pub | sudo apt-key add -

sudo sh -c 'echo "deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main" >> /etc/apt/sources.list.d/google.list'

sudo apt update

sudo apt install google-chrome-stable


echo "Flutter installation is finished"

flutter --version
$App
fi
